cat(", advancing year...")
# Advance standard breeding program by 1 year
# Works backwards through pipeline to avoid copying data

# Year 8
# Release variety

# Year 7
EYT2 = setPheno(pop = EYT1, varE = varE, reps = repEYT)
EYT2@pheno = (EYT1@pheno + EYT2@pheno) / 2


# Year 6
EYT1 = selectInd(pop = AYT, nInd = nEYT, use = use)
EYT1 = setPheno(pop = EYT1, varE = varE, reps = repEYT)

# Year 5
AYT = selectInd(pop = PYT, nInd = nAYT, use = useAytFromPyt)
AYT = setPheno(pop = AYT, varE = varE, reps = repAYT)

# Year 4
PYT = selectWithinFam(pop = HDRW, nInd = famMax, use = use)
PYT = selectInd(pop = PYT, nInd = nPYT, use = use)
PYT = setPheno(pop = PYT, varE = varE, reps = repPYT)
PYT@pheno = (PYT@pheno + setPheno(pop = PYT, varE = varE, reps = repPYT)@pheno) / 2

# Year 3
# HDRW = setPheno(pop = DH, varE = varE, reps = repHDRW)
HDRW = setPheno(pop = F3, varE = varE, reps = repHDRW)

# Year 2
# DH = makeDH(pop = F1, nDH = nDH)
F3 = self(pop = F2, nProgeny = nDH / 10)
F2 = self(pop = F1, nProgeny = nDH / 10)

# Year 1
F1 = randCross(pop = Parents, nCrosses = nCrosses)
