cat("Filling breeding pipeline...\n")
#Set initial yield trials with unique individuals
for (year in 1:7) {
  # year = 1
  cat("Stage:", year, "of 7\n")
  if (year < 8) {
    # Year 1
    F1 = randCross(pop = Parents, nCrosses = nCrosses)
  }
  if (year < 7) {
    # Year 2
    # DH = makeDH(pop = F1, nDH = nDH)
    F2 = self(pop = F1, nProgeny = nDH / 10)
    F3 = self(pop = F2, nProgeny = nDH / 10)
  }
  if (year < 6) {
    # Year 3
    # HDRW = setPheno(pop = DH, varE = varE, reps = repHDRW)
    HDRW = setPheno(pop = F3, varE = varE, reps = repHDRW)
  }
  if (year < 5) {
    # Year 4
    PYT = selectWithinFam(pop = HDRW, nInd = famMax)
    PYT = selectInd(pop = PYT, nInd = nPYT)
    PYT = setPheno(pop = PYT, varE = varE, reps = repPYT)
    # PYT@pheno = (PYT@pheno + setPheno(pop = PYT, varE = varE, reps = repPYT)@pheno) / 2
  }
  if (year < 4) {
    # Year 5
    AYT = selectInd(pop = PYT, nInd = nAYT)
    AYT = setPheno(pop = AYT, varE = varE, reps = repAYT)
  }
  if (year < 3) {
    # Year 6
    EYT1 = selectInd(pop = AYT, nInd = nEYT)
    EYT1 = setPheno(pop = EYT1, varE = varE, reps = repEYT)
  }
  if (year < 2) {
    # Year 7
    EYT2 = setPheno(pop = EYT1, varE = varE, reps = repEYT)
    EYT2@pheno = (EYT1@pheno + EYT2@pheno) / 2
  }
  if (year < 1) {
    # Year 8
  }
}
