


nYearsBurnIn = 20
nYears       = 10


# Parents
nParents = 50 # Number of founders

nParentsPYT = 20 # Relates to crossing block selection
nParentsAYT = 10 # Relates to crossing block selection

# Initial parents mean and variance
initMeanG = 0
initVarG = 1
initVarD = 0.5
relativeAA = 0.1

# Number of crosses per year
nCrosses = 100

# DH lines produced per cross
nDH = 100

# The maximum number of DH lines per cross to enter the PYT
# nCrosses*famMax must be greater than or equal to nPYT
famMax = 10

# Entries per yield trial
nPYT = 1000
nAYT = 100
nEYT = 10

# Yield trial error variance, bushels per acre
# Relates to error variance for an entry mean
varE = 6

# Effective replication of yield trials
repHDRW = 1/5
repPYT = 1 # will handle replicated locations in another way
repAYT = 5
repEYT = 10

# Initial state heritabilities
#h2 = initVarG / (initVarG + varE / c(repHDRW, repPYT * 2, repAYT, repEYT))
h2_narrow = initVarG / (initVarG + initVarD + relativeAA*initVarG + varE / c(repHDRW, repPYT, repAYT, repEYT))
h2_broad = (initVarG + initVarD + relativeAA*initVarG) / (initVarG + initVarD + relativeAA*initVarG + varE / c(repHDRW, repPYT, repAYT, repEYT))

# Number of chromosomes
nChr = 21

# Number of QTL per chromosome
nQtl = 1000

# Number of SNP per chromosome
nSnp = 1000

# Fudge factor to add to diagonal of the genomic covariance matrix to make it PD
GenomicCovFudge = 0.001

# How many DH should we predict to evaluate predictive ability for non-phenotyped individuals
nDHPredict = 1000
